Package org.apache.solr.common.cloud

## Class DocCollection.PrsSupplier

- java.lang.Object
- - org.apache.solr.common.cloud.DocCollection.PrsSupplier

All Implemented Interfaces:
  `Supplier<PerReplicaStates>`

Enclosing class:
  DocCollection

    public static class DocCollection.PrsSupplier
    extends Object
    implements Supplier<PerReplicaStates>

### Constructor Summary

Constructors
`PrsSupplier​(Supplier<PerReplicaStates> supplier)`
`PrsSupplier​(PerReplicaStates prs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PerReplicaStates` `get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrsSupplier

    public PrsSupplier​(Supplier<PerReplicaStates> supplier)

#### PrsSupplier

    public PrsSupplier​(PerReplicaStates prs)

### Method Detail

#### get

    public PerReplicaStates get()

Specified by:
  `get` in interface `Supplier<PerReplicaStates>`